# Class TextAreaTableCellEditor

java.lang.Object
javax.swing.AbstractCellEditor
org.apache.jmeter.gui.util.TextAreaTableCellEditor

All Implemented Interfaces:
  `Serializable, CellEditor, TableCellEditor, TreeCellEditor`

public class TextAreaTableCellEditor extends AbstractCellEditor implements TableCellEditor, TreeCellEditor

See Also:
  - Serialized Form

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`protected class`
`TextAreaTableCellEditor.EditorDelegate`
The protected `EditorDelegate` class.

## Field Summary

Fields
Modifier and Type
Field
Description
`protected int`
`clickCountToStart`
An integer specifying the number of clicks needed to start editing.
`protected TextAreaTableCellEditor.EditorDelegate`
`delegate`
The delegate class which handles all methods sent from the `CellEditor`.
`protected JTextArea`
`editorComponent`
The Swing component being edited.

### Fields inherited from class AbstractCellEditor

`changeEvent, listenerList`

## Constructor Summary

Constructors
Constructor
Description
`TextAreaTableCellEditor()`
Constructs a `TableCellEditor` that uses a text field.

## Method Summary

Modifier and Type
Method
Description
`void`
`cancelCellEditing()`
Forwards the message from the `CellEditor` to the `delegate`.
`Object`
`getCellEditorValue()`
Forwards the message from the `CellEditor` to the `delegate`.
`int`
`getClickCountToStart()`
Returns the number of clicks needed to start editing.
`Component`
`getComponent()`
Returns a reference to the editor component.
`Component`
`getTableCellEditorComponent(JTable table, Object value, boolean isSelected, int row, int column)`
Implements the `TableCellEditor` interface.
`Component`
`getTreeCellEditorComponent(JTree tree, Object value, boolean isSelected, boolean expanded, boolean leaf, int row)`
Implements the `TreeCellEditor` interface.
`boolean`
`isCellEditable(EventObject anEvent)`
Forwards the message from the `CellEditor` to the `delegate`.
`void`
`setClickCountToStart(int count)`
Specifies the number of clicks needed to start editing.
`boolean`
`shouldSelectCell(EventObject anEvent)`
Forwards the message from the `CellEditor` to the `delegate`.
`boolean`
`stopCellEditing()`
Forwards the message from the `CellEditor` to the `delegate`.

### Methods inherited from class AbstractCellEditor

`addCellEditorListener, fireEditingCanceled, fireEditingStopped, getCellEditorListeners, removeCellEditorListener`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface CellEditor

`addCellEditorListener, removeCellEditorListener`

## Field Details

### editorComponent

protected JTextArea editorComponent
The Swing component being edited.

### delegate

protected TextAreaTableCellEditor.EditorDelegate delegate
The delegate class which handles all methods sent from the `CellEditor`.

### clickCountToStart

protected int clickCountToStart
An integer specifying the number of clicks needed to start editing. Even if `clickCountToStart` is defined as zero, it will not initiate until a click occurs.

## Constructor Details

### TextAreaTableCellEditor

public TextAreaTableCellEditor()
Constructs a `TableCellEditor` that uses a text field.

## Method Details

### getComponent

public Component getComponent()
Returns a reference to the editor component.

Returns:
  the editor `Component`

### setClickCountToStart

public void setClickCountToStart(int count)
Specifies the number of clicks needed to start editing.

Parameters:
  `count` - an int specifying the number of clicks needed to start editing
See Also:
  - `getClickCountToStart()`

### getClickCountToStart

public int getClickCountToStart()
Returns the number of clicks needed to start editing.

Returns:
  the number of clicks needed to start editing

### getCellEditorValue

public Object getCellEditorValue()
Forwards the message from the `CellEditor` to the `delegate`.

Specified by:
  `getCellEditorValue` in interface `CellEditor`
See Also:
  - `TextAreaTableCellEditor.EditorDelegate.getCellEditorValue()`

### isCellEditable

public boolean isCellEditable(EventObject anEvent)
Forwards the message from the `CellEditor` to the `delegate`.

Specified by:
  `isCellEditable` in interface `CellEditor`
Overrides:
  `isCellEditable` in class `AbstractCellEditor`
See Also:
  - `TextAreaTableCellEditor.EditorDelegate.isCellEditable(EventObject)`

### shouldSelectCell

public boolean shouldSelectCell(EventObject anEvent)
Forwards the message from the `CellEditor` to the `delegate`.

Specified by:
  `shouldSelectCell` in interface `CellEditor`
Overrides:
  `shouldSelectCell` in class `AbstractCellEditor`
See Also:
  - `TextAreaTableCellEditor.EditorDelegate.shouldSelectCell(EventObject)`

### stopCellEditing

public boolean stopCellEditing()
Forwards the message from the `CellEditor` to the `delegate`.

Specified by:
  `stopCellEditing` in interface `CellEditor`
Overrides:
  `stopCellEditing` in class `AbstractCellEditor`
See Also:
  - `TextAreaTableCellEditor.EditorDelegate.stopCellEditing()`

### cancelCellEditing

public void cancelCellEditing()
Forwards the message from the `CellEditor` to the `delegate`.

Specified by:
  `cancelCellEditing` in interface `CellEditor`
Overrides:
  `cancelCellEditing` in class `AbstractCellEditor`
See Also:
  - `TextAreaTableCellEditor.EditorDelegate.cancelCellEditing()`

### getTreeCellEditorComponent

public Component getTreeCellEditorComponent(JTree tree, Object value, boolean isSelected, boolean expanded, boolean leaf, int row)
Implements the `TreeCellEditor` interface.

Specified by:
  `getTreeCellEditorComponent` in interface `TreeCellEditor`

### getTableCellEditorComponent

public Component getTableCellEditorComponent(JTable table, Object value, boolean isSelected, int row, int column)
Implements the `TableCellEditor` interface.

Specified by:
  `getTableCellEditorComponent` in interface `TableCellEditor`